AniNIX users should follow good ethical principles when using the network. AniNIX resources should be used in accordance with these principles -- activity outside the network is not ours to dictate.

#  Our Mission Statement 
The mission statement of the AniNIX is simple:
1.  Provide an example self-hosted, free- or low-cost suite of services and serve a small userbase
1.  Provide documentation and source code to allow anyone to replicate the system.
1.  Contribute actively to the global community by involvement in the open-source community and charity work.

#  Open Source 
[Open-source][1] means that are willing to provide access to as much information as possible, sharing our experience, work, and assets with the world. (We cannot disclose security tokens and other privileged information for our own self-preservation.) We intend for anyone to take the AniNIX model and inspect it, modify, or enhance it by looking at our documentation and source code. We believe this yields the benefits of control, training, security, and stability to our users, as the more people inspect something the fewer errors are likely to be present.

#  The Hacker Ethic 
When you give people the means to be creative for themselves and to share their work, they can create beautiful communities of industry and passion. With proper moderation against malice, the human collective evolves, and the AniNIX seeks to include this.

The AniNIX subscribes to the [Hacker Ethic][2] and should build itself to support the same. In order, these are the ideals development in the AniNIX should encourage:
* _World improvement_: The world is not a friendly place to your average person. Compute power can be leveraged to improving people's lives, not just in the pursuit of personal power or profit at the expense of others. Projects within the AniNIX should serve the betterment of the wider world in some fashion or at least some portion of the userbase. We do not use our resources to profiteer from others, particularly their lack of access.
* _Openness and sharing, particularly open-source_: We are world citizens, with equal human rights. Sharing, collaboration, and openness improve the lives of everyone and let us grow as a planet. AniNIX projects and source should be openly available; security keys and credentials may be obfuscated to protect the network.
* _Decentralization_: True democracy is the voice of the people -- the rule of the majority. Too much centralization results in an easy target that can be destroyed by those seeking their own power and profit and to silence opposition. When everyone in the masses has a voice that can't be silenced, they carry immense weight for revolutionizing and improving life.
* _Equal, free access to computing_: The Internet is the last bastion of human free speech and stream-of-consciousness, and open access for everyone gives everyone a voice. Computers allow free educational materials and community-building, and learning to use them promotes intellectualism and self-education. No one should be barred based on race, gender identity, gender expression, sexual orientation, ability, age, cultural identity, IQ, religion, socioeconomic status, etc. -- the sole grounds for blocking access is to prevent specific, malicious actions, such as identity theft, human trafficking, etc.

##  AniNIX Application 
* The AniNIX provides a number of free-to-access offerings in the interest of giving back and we support a number of charitable organizations for the aim of world improvement.
  * We actively fold for [Folding@Home](https://stats.foldingathome.org/team/250807).
  * We support [DAREBEE](https://darebee.com).
  * We support [Wikipedia](https://wikipedia.org).
* The [AniNIX/Foundation](https://foundation.aninix.net) offers all the documentation and code necessary to replicate AniNIX services.
* The AniNIX makes as many of its applications Web-accessible and offline-accessible as possible to reduce the barrier to entry -- even a public library terminal should have sufficient resources.

#  Good-faith Contributions 
All contributions to the AniNIX should be done in good faith -- users will not be punished for bad work submitted in an honest fashion. However, in the interest of promoting good faith, they should also be respectful of criticism and advice on how to improve their work. The AniNIX seeks to improve steadily and welcomes debate and discussion.

If you have concerns or suggestions, please use the talk page of a topic to discuss them.

#  Respect to Peers 
Please respect your peers in all communication. The AniNIX administrators reserve the right to terminate services at any time to any user found to be disruptive or damaging to the network. We seek a collaborative, not elitist, environment, and all viewpoints should be welcome in a debate.

#  Handling of Malware 
The AniNIX, being security-minded, handles malware. Please make sure you only transfer malware in secured, inert formats to other users and clearly label it as such so that they know to analyze it.

The use of malware to attack, harm, or malign the network will not be tolerated. Ensure all testing is done in isolated networks with protected machines to prevent accidental assaults.

Be sure to read [18 US Code 1030](https://www.law.cornell.edu/uscode/text/18/1030) (thanks to Cornell for providing a copy), particularly section a5A, before distributing or publishing malware source.

<!-- References -->
[1]: https://opensource.com/open-source-way "OpenSource.com"
[2]: https://en.wikipedia.org/wiki/Hacker_ethic "Wikipedia"
